template("minify_folder") {
    forward_variables_from(invoker, [ "proj_deps" ])
    minify = "$tizen_core/minify"

    action_foreach(target_name) {
        command = "$minify -a -o {{output}} {{source}}"
        description = "minify {{output}}"
        sources = [ target_name ]
        outputs = [
            "${root_out_dir}/$web_out_dir/{{source_target_relative}}",
        ]
        deps = proj_deps
    }
}